> ## Documentation Index
> Fetch the complete documentation index at: https://docs.azalt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Panoları listele

> Erişim iznine sahip olduğunuz tüm panoları getirir:

Yanıt; organizasyonunuzdaki panoları gösterim sırasına göre sıralar ve her pano için şu bilgileri içerir:
- Temel bilgiler (ad, açıklama, görünürlük)
- Bileşenlerde kullanılan KPI (gösterge) özetleri
- Oluşturulma ve güncellenme bilgileri

Yalnızca organizasyonunuz kapsamındaki panolar listelenir.



## OpenAPI

````yaml https://app.azalt.co/api/v1/openapi.tr.json get /dashboards
openapi: 3.0.3
info:
  title: Erguvan Genel API
  version: 1.0.0
  description: Erguvan platformuna entegrasyon için REST API referansının Türkçe sürümü.
servers:
  - url: https://app.azalt.co/api/v1
security: []
tags:
  - name: Activity
    x-displayName: Aktiviteler
  - name: ActivityDefinition
    x-displayName: Aktivite Tanımları
  - name: ApiKey
    x-displayName: API Anahtarları
  - name: Dashboard
    x-displayName: Panolar
  - name: DashboardWidget
    x-displayName: Pano Bileşenleri
  - name: Dataset
    x-displayName: Veri Setleri
  - name: DatasetItem
    x-displayName: Veri Seti Öğeleri
  - name: File
    x-displayName: Dosyalar
  - name: Form
    x-displayName: Formlar
  - name: FormElement
    x-displayName: Form Öğeleri
  - name: FormElementSubmission
    x-displayName: Form Öğesi Gönderimleri
  - name: FormSite
    x-displayName: Form-Tesis İlişkilendirmeleri
  - name: FormSubmission
    x-displayName: Form Gönderimleri
  - name: Indicator
    x-displayName: Göstergeler
  - name: Organization
    x-displayName: Organizasyonlar
  - name: Site
    x-displayName: Tesisler
  - name: Target
    x-displayName: Hedefler
  - name: Unit
    x-displayName: Birimler
  - name: User
    x-displayName: Kullanıcılar
paths:
  /dashboards:
    get:
      tags:
        - Dashboard
      summary: Panoları listele
      description: >-
        Erişim iznine sahip olduğunuz tüm panoları getirir:


        Yanıt; organizasyonunuzdaki panoları gösterim sırasına göre sıralar ve
        her pano için şu bilgileri içerir:

        - Temel bilgiler (ad, açıklama, görünürlük)

        - Bileşenlerde kullanılan KPI (gösterge) özetleri

        - Oluşturulma ve güncellenme bilgileri


        Yalnızca organizasyonunuz kapsamındaki panolar listelenir.
      operationId: listDashboards
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    description:
                      type: string
                      nullable: true
                    organizationId:
                      type: string
                    isPublic:
                      type: boolean
                    publicCanFilterSites:
                      type: boolean
                    hasPassword:
                      type: boolean
                    requiresEmail:
                      type: boolean
                    publicAccessEmails:
                      type: array
                      nullable: true
                      items:
                        type: string
                        format: email
                    publicAccessDomains:
                      type: array
                      nullable: true
                      items:
                        type: string
                        pattern: ^(?!-)(?:[a-z0-9-]{1,63}\.)+[a-z]{2,63}$
                    order:
                      type: number
                    globalFilter:
                      type: object
                      properties:
                        siteIds:
                          type: array
                          items:
                            type: string
                        startYear:
                          type: number
                        endYear:
                          type: number
                        startDate:
                          type: string
                        endDate:
                          type: string
                        statuses:
                          type: array
                          items:
                            type: string
                            enum:
                              - COMPLETED
                              - APPROVED
                              - REJECTED
                    organizationDefaultStatuses:
                      type: array
                      items:
                        type: string
                        enum:
                          - COMPLETED
                          - APPROVED
                          - REJECTED
                    widgetTheme:
                      type: object
                      properties:
                        mode:
                          type: string
                          enum:
                            - default
                            - oasis
                            - custom
                        customColors:
                          type: array
                          items:
                            type: string
                            pattern: ^#[0-9A-Fa-f]{6}$
                        aggregateLines:
                          type: object
                          properties:
                            totalColor:
                              type: string
                              pattern: ^#[0-9A-Fa-f]{6}$
                            averageColor:
                              type: string
                              pattern: ^#[0-9A-Fa-f]{6}$
                            peerAverageColor:
                              type: string
                              pattern: ^#[0-9A-Fa-f]{6}$
                            totalLineStyle:
                              type: string
                              enum:
                                - solid
                                - dashed
                                - dotted
                            averageLineStyle:
                              type: string
                              enum:
                                - solid
                                - dashed
                                - dotted
                            peerAverageLineStyle:
                              type: string
                              enum:
                                - solid
                                - dashed
                                - dotted
                            totalStrokeWidth:
                              type: number
                              minimum: 1
                              maximum: 8
                            averageStrokeWidth:
                              type: number
                              minimum: 1
                              maximum: 8
                            peerAverageStrokeWidth:
                              type: number
                              minimum: 1
                              maximum: 8
                      required:
                        - mode
                    tags:
                      type: array
                      nullable: true
                      items:
                        type: string
                    createdAt:
                      type: string
                    updatedAt:
                      type: string
                    kpis:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          name:
                            type: string
                        required:
                          - id
                          - name
                  required:
                    - id
                    - name
                    - description
                    - organizationId
                    - isPublic
                    - publicCanFilterSites
                    - order
                    - globalFilter
                    - createdAt
                    - updatedAt
                    - kpis
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````